Bug 212827 - Color type variables should show their value as a picture of its color, not only RGB
Color type variables should show their value as a picture of its color, not o...
Status: VERIFIED FIXED
Product: debugger
Classification: Unclassified
Component: Java
7.2
All All
: P3 (vote)
: 7.4
Assigned To: Martin Entlicher
issues@debugger
: PLAN
Depends on: 228894 228909
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-22 11:18 UTC by Milutin Kristofic
Modified: 2013-05-15 13:36 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Milutin Kristofic 2012-05-22 11:18:41 UTC
If variable is type java.awt.color, debugger should show value as a picture of this color. It will help more than seeing values of rgb.
Comment 1 Martin Entlicher 2013-04-30 09:10:49 UTC
We've introduced a generic property editor, that delegates to any registered property editor of appropriate type.
changeset:   252312:57934395707e
http://hg.netbeans.org/core-main/rev/57934395707e
Comment 2 Quality Engineering 2013-05-04 01:47:49 UTC
Integrated into 'main-golden', will be available in build *201305032300* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/57934395707e
User: mentlicher@netbeans.org
Log: #206668, #212827: Generic variable property editor is introduced. It delegates to any registered property editor of appropriate type.
Comment 3 Jiri Kovalsky 2013-05-15 13:36:00 UTC
Product Version: NetBeans IDE Dev (Build 201305142300)
Java: 1.7.0_21; Java HotSpot(TM) 64-Bit Server VM 23.21-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_21-b11
System: Linux version 3.0.0-12-generic running on amd64; UTF-8; cs_CZ (nb)
User directory: /home/cesilko/.netbeans/dev
Cache directory: /home/cesilko/.cache/netbeans/dev


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo